local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____ISCFeature = require("src.enums.ISCFeature")
local ISCFeature = ____ISCFeature.ISCFeature
local ____shouldFire = require("src.shouldFire")
local shouldFireGridEntity = ____shouldFire.shouldFireGridEntity
local ____CustomCallback = require("src.classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostGridEntityStateChanged = __TS__Class()
local PostGridEntityStateChanged = ____exports.PostGridEntityStateChanged
PostGridEntityStateChanged.name = "PostGridEntityStateChanged"
__TS__ClassExtends(PostGridEntityStateChanged, CustomCallback)
function PostGridEntityStateChanged.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireGridEntity
    self.featuresUsed = {ISCFeature.GRID_ENTITY_UPDATE_DETECTION}
end
return ____exports
